summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Fernando Lopez Jr <fernando.lopezjr@gmail.com>2019-02-02 12:17:37 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-02-02 12:17:37 +0700
commit8e90c5609dac747c6400491bbb6dea8284b35838 (patch)
treeaaad30d0e740e88431865496388d31c97f62db9a /development
parente772c3ba8125218df8d97a282863360867b24c3c (diff)
downloadslackbuilds-8e90c5609dac747c6400491bbb6dea8284b35838.tar.gz
slackbuilds-8e90c5609dac747c6400491bbb6dea8284b35838.tar.xz
development/cutter: Added (GUI for radare2).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/cutter/README4
-rw-r--r--development/cutter/cutter.SlackBuild102
-rw-r--r--development/cutter/cutter.info10
-rw-r--r--development/cutter/doinst.sh14
-rw-r--r--development/cutter/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/development/cutter/README b/development/cutter/README
new file mode 100644
index 0000000000..b1aa33034a
--- /dev/null
+++ b/development/cutter/README
@@ -0,0 +1,4 @@
+Cutter is a Qt and C++ GUI for radare2. Its goal is making an advanced,
+customizable and FOSS reverse-engineering platform while keeping the
+user experience at mind. Cutter is created by reverse engineers for
+reverse engineers.
diff --git a/development/cutter/cutter.SlackBuild b/development/cutter/cutter.SlackBuild
new file mode 100644
index 0000000000..729727c199
--- /dev/null
+++ b/development/cutter/cutter.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for cutter
+# A Qt and C++ GUI for radare2 reverse engineering framework
+
+# Copyright 2019 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Revision date: 2017/Nov/12
+
+PRGNAM=cutter
+VERSION=${VERSION:-1.7.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686 -std=c++11"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -std=c++11"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -std=c++11"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2 -std=c++11"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd src
+mkdir -p build
+mkdir -p $PKG/usr/bin/
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCUTTER_ENABLE_JUPYTER=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ install -m755 Cutter $PKG/usr/bin/cutter
+cd ..
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTING.md COPYING README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/cutter/cutter.info b/development/cutter/cutter.info
new file mode 100644
index 0000000000..1a98217525
--- /dev/null
+++ b/development/cutter/cutter.info
@@ -0,0 +1,10 @@
+PRGNAM="cutter"
+VERSION="1.7.4"
+HOMEPAGE="https://radareorg.github.io/cutter/index.html"
+DOWNLOAD="https://github.com/radareorg/cutter/archive/v1.7.4/cutter-1.7.4.tar.gz"
+MD5SUM="c54d3ac49ad200452d2ec7128bd1a407"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5 radare2"
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/development/cutter/doinst.sh b/development/cutter/doinst.sh
new file mode 100644
index 0000000000..0fb9c8b686
--- /dev/null
+++ b/development/cutter/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/development/cutter/slack-desc b/development/cutter/slack-desc
new file mode 100644
index 0000000000..cc150d3f7a
--- /dev/null
+++ b/development/cutter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cutter: cutter (GUI for radare2)
+cutter:
+cutter: Cutter is a Qt and C++ GUI for radare2. Its goal is making an adva-
+cutter: nced, customizable and FOSS reverse-engineering platform while
+cutter: keeping the user experience at mind. Cutter is created by reverse
+cutter: engineers for reverse engineers.
+cutter:
+cutter:
+cutter:
+cutter:
+cutter: